﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Dices
{
    public partial class Base1 : Form
    {
        public Base1()
        {
            InitializeComponent();
        }

        private void Base1_Load(object sender, EventArgs e)
        {
            //this.Text ="Dices";//フォームの名前を統一（以前の名前）
            this.Text = "infinity_dice";
            SetSelectAll(this);//Ctrl+Aが機能するため用
        }

        //http://nanoappli.com/blog/archives/7634　から拝借
        //Ctrl+Aが機能するため用
        private void SetSelectAll(Control target)
        {
            foreach (Control control in target.Controls)
            {
                if (control.HasChildren)
                {
                    // 子コントロールがある場合は再帰的に処理
                    SetSelectAll(control);
                }

                // TextBox以外は何もしない
                if (control is TextBox == false)
                {
                    continue;
                }

                // Ctrl-Aが押されたときに全選択させるハンドラを追加
                control.KeyDown += (sender, e) => {
                    if (e.Control && e.KeyCode == Keys.A)
                    {
                        (sender as TextBox).SelectAll();
                    }
                };
            }
        }

    }
}
